## gate.event
Class DocumentEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--gate.event.GateEvent
                  |
                  +--gate.event.DocumentEvent

All Implemented Interfaces:
  Serializable

public class DocumentEvent
extends GateEvent

This class models events fired by an `Document`.

See Also:
  Serialized Form

Field Summary
`static int` `ANNOTATION_SET_ADDED` Event type used to mark the addition of an `AnnotationSet`
`static int` `ANNOTATION_SET_REMOVED` Event type used to mark the removal of an `AnnotationSet`
`private String` `annotationSetName`

Fields inherited from class gate.event.GateEvent
`FEATURES_UPDATED, type`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DocumentEvent(Document source, int type, String setName)` Constructor.

Method Summary
`String` `getAnnotationSetName()` Gets the name of the `AnnotationSet` that has been added or removed.

Methods inherited from class gate.event.GateEvent
`getType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### ANNOTATION_SET_ADDED

    public static final int ANNOTATION_SET_ADDED

  Event type used to mark the addition of an `AnnotationSet`

### ANNOTATION_SET_REMOVED

    public static final int ANNOTATION_SET_REMOVED

  Event type used to mark the removal of an `AnnotationSet`

### annotationSetName

    private String annotationSetName

Constructor Detail

### DocumentEvent

    public DocumentEvent(Document source,
                         int type,
                         String setName)

  Constructor.
  Parameters:
    `source` - the document that has been changed
    `type` - the type of the event
    `setName` - the name of the `AnnotationSet` that has been added or removed.

Method Detail

### getAnnotationSetName

    public String getAnnotationSetName()

  Gets the name of the `AnnotationSet` that has been added or removed.